<html>
<head>
<meta HTTP-EQUIV=CONTENT-TYPE CONTENT="text/html; charset=utf-8">
<title>The Solution #2</title>
</head>
<body text=#000000 bgcolor=#EAE6E4 link=#0000CC vlink=#000080 alink=#0000CC>
<center>
<a href="text0.html">First page</a> <a href="text7.html">Back</a> <a href="text9.html">Continue</a> <a href="text11.html">Last page</a> <a href="index.html">Overview</a> <a href="img8.html">Graphics</a></center><br>
<h1>The solution</h1><p>
<ul><li><h2>Versioned symbols in all libraries depended on by other libs</h2>
<li><h2>Only has to be fixed once per package (if we educate upstreams and feed them patches!)</h2>
<li><h2>Recompile everything that uses these libs</h2>
<li><h2>Zero segfaults from lib conflicts!</h2>
</ul><br>
<h3>Notes:</h3>
</body>
</html>